package zall.action.media;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.SQLException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import zall.action.ZalleryAction;
import zall.bean.Comment;
import zall.bean.Media;
import zall.bean.User;
import zall.util.msg.UserMessage;
import zall.util.msg.UserMessage.MessageType;
import zutil.db.DBConnection;

public class CommentAction extends ZalleryAction{

	public CommentAction() {
		super("comment", true);
	}

	@Override
	public void handleRequest(DBConnection db, HttpServletRequest request, HttpServletResponse response, HttpSession session,
			PrintWriter out, User user, UserMessage msgs) throws SQLException, IOException {

		// Comments for media
		if( request.getParameter("id") == null || request.getParameter("type") == null ){
			if(out != null)	out.println("{ \"error\": \"Missing parameters!\"}");
			else			msgs.add(MessageType.ERROR, "Missing parameters!");
			return;
		}
		long id =  Long.parseLong(request.getParameter("id"));
		Media media = Media.load(db, request.getParameter("type"), id);

		Comment cm = new Comment();
		cm.setUser( user );
		cm.setMessage( request.getParameter("msg") );
		media.addComment( cm );
		media.save( db );

		if( out != null ) out.println("{ }");
		else msgs.add(MessageType.INFO, "Comment saved.");

	}

}
